package com.diagbot.facade.rule;

import com.diagbot.dto.BillMsg;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.util.StringUtil;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/8/3 11:22
 */
public class RuleUtil {

    /**
     * 比较性别
     *
     * @param sex
     * @param wordCrfDTO
     * @return
     */
    public static BillMsg compareSexWithBill(String sex, WordCrfDTO wordCrfDTO, String name) {
        if (StringUtil.isNotBlank(sex) && wordCrfDTO.getSex() != null) {
            String crfSex = "";
            if (1 == wordCrfDTO.getSex()) {
                crfSex = "男";
            } else if (2 == wordCrfDTO.getSex()) {
                crfSex = "女";
            }
            if (sex.equals(crfSex)) {
                BillMsg billMsg = new BillMsg();
                billMsg.setMsg(name + "(" + sex + ")");
                return billMsg;
            }
        }
        return null;
    }
}
